#ifndef NM_OPENSWAN_SERVICE_H
#define NM_OPENSWAN_SERVICE_H

#define NM_DBUS_SERVICE_OPENSWAN "org.freedesktop.NetworkManager.openswan"

#define OPENSWAN_PLUGIN_TYPE_HOSTTOHOST "Host-to-Host"
#define OPENSWAN_PLUGIN_TYPE_HOSTTONETWORK "Host-to-Network"
#define OPENSWAN_PLUGIN_TYPE_MANUALIPSEC "Manual-Ipsec"


#define OPENSWAN_PLUGIN_AUTH_X509 "X509"
#define OPENSWAN_PLUGIN_AUTH_RAWRSA "RSA"
#define OPENSWAN_PLUGIN_AUTH_PSK "PSK"

#define OPENSWAN_PLUGIN_KEY_TYPE "type"
#define OPENSWAN_PLUGIN_KEY_CONNECTION_NAME "connection-name"
#define OPENSWAN_PLUGIN_KEY_XNM "x-nm"
#define OPENSWAN_PLUGIN_KEY_GATEWAY "gateway"
#define OPENSWAN_PLUGIN_KEY_REMOTE_NETWORK "remotenetwork"
#define OPENSWAN_PLUGIN_KEY_REMOTE_MASK "mask"
#define OPENSWAN_PLUGIN_KEY_AUTH_TYPE "auth"
#define OPENSWAN_PLUGIN_KEY_CERT_FILENAME "certfilename"
#define OPENSWAN_PLUGIN_KEY_RSA_FILENAME "rsafilename"

#define OPENSWAN_PLUGIN_KEY_PASSWORD "password"

#define OPENSWAN_PLUGIN_KEY_NAT "nat"
#define OPENSWAN_PLUGIN_KEY_DPD "dpd"
#define OPENSWAN_PLUGIN_KEY_IFACE "iface"

#define OPENSWAN_PLUGIN_IFACE_DEFAULT "[Default]"

//FIXME: bad idea to save info about nss-support in sysconf
#define OPENSWAN_PLUGIN_KEY_NSS "nss"

#endif /* NM_OPENSWAN_SERVICE_H */
